Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote
Class PiggybackManager

`java.lang.Object
oracle.jbo.server.remote.PiggybackManager`

public class PiggybackManager
extends java.lang.Object

Maintain all the ViewRowSetIteratorImpl that a client is using.

Version:
  INTERNAL

Constructor Summary
`PiggybackManager(ObjectMarshallerImpl marshaller)` Class constructor

Method Summary
`RuntimeComponentObjectInfo` | `addComponentObject(ComponentObjectImpl co)`
`void` | `addDataModelRefreshEntry(java.io.Serializable ent)`
`void` | `addEntry(java.io.Serializable ent)`
`protected void` | `addMarshalledObjects()`
`RuntimeViewRowSetIteratorInfo` | `addRowSetIterator(RowSetIterator rv)` Add a new ViewRowSetIteratorImpl to the list maintain by this class and return an integer id respresenting the ViewRowSetIteratorImpl inernally.
`void` | `cleanUpServiceMessage(JboException ex)`
`void` | `clearServiceMessage()`
`RuntimeViewRowSetIteratorInfo` | `getIteratorInfo(RowSetIterator rsi)`
`com.sun.java.util.collections.ArrayList` | `getIterators()`
`ObjectMarshallerImpl` | `getMarshaller()`
`byte[]` | `getPiggyback(boolean on, AbstractRemoteApplicationModuleImpl am)` Collects all the changes from the ViewRowSetIteratorImpl and serialize them to the content of the piggyback as a byte stream.
`java.lang.String` | `getRequestName()`
`ServiceMessage` | `getServiceMessage()`
`int` | `indexOfComponentObject(ComponentObjectImpl rci)`
`int` | `indexOfRowSetIterator(RowSetIterator rsi)` Look for the ViewRowSetIteratorImpl in the list this class is managing and return its integer id, otherwise return -1.
`void` | `insertEntry(int index, java.io.Serializable ent)`
`boolean` | `isLocal()`
`ServiceMessage` | `marshalServiceMessage(AbstractRemoteApplicationModuleImpl am)`
`protected void` | `mergeDataModelRefreshEntries()`
`void` | `prepareForServiceMessage(AbstractRemoteApplicationModuleImpl amWrapper, ServiceMessage msg)`
`void` | `setDataModelRefresh(boolean b)`
`void` | `setLocal(boolean b)`
`void` | `setRequestName(java.lang.String reqName)`
`void` | `setSvcMsgName(java.lang.String svcMsgName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PiggybackManager

    public PiggybackManager(ObjectMarshallerImpl marshaller)

  Class constructor

Method Detail

### setLocal

    public void setLocal(boolean b)

### isLocal

    public boolean isLocal()

### setDataModelRefresh

    public void setDataModelRefresh(boolean b)

### setSvcMsgName

    public void setSvcMsgName(java.lang.String svcMsgName)

### setRequestName

    public void setRequestName(java.lang.String reqName)

### getRequestName

    public java.lang.String getRequestName()

### getMarshaller

    public ObjectMarshallerImpl getMarshaller()

### getIterators

    public com.sun.java.util.collections.ArrayList getIterators()

### addRowSetIterator

    public RuntimeViewRowSetIteratorInfo addRowSetIterator(RowSetIterator rv)

  Add a new ViewRowSetIteratorImpl to the list maintain by this class and return an integer id respresenting the ViewRowSetIteratorImpl inernally.
  Parameters:
    `rv` - the ViewRowSetIteratorImpl to add
  Returns:
    the new ViewRowSetIteratorImpl id

### addComponentObject

    public RuntimeComponentObjectInfo addComponentObject(ComponentObjectImpl co)

### indexOfRowSetIterator

    public int indexOfRowSetIterator(RowSetIterator rsi)

  Look for the ViewRowSetIteratorImpl in the list this class is managing and return its integer id, otherwise return -1.
  Parameters:
    `rsi` - the ViewRowSetIteratorImpl to look for
  Returns:
    the id of the ViewRowSetIteratorImpl if exist, -1 if not there

### indexOfComponentObject

    public int indexOfComponentObject(ComponentObjectImpl rci)

### getServiceMessage

    public ServiceMessage getServiceMessage()

### addMarshalledObjects

    protected void addMarshalledObjects()

### mergeDataModelRefreshEntries

    protected void mergeDataModelRefreshEntries()

### clearServiceMessage

    public void clearServiceMessage()

### prepareForServiceMessage

    public void prepareForServiceMessage(AbstractRemoteApplicationModuleImpl amWrapper,
                                         ServiceMessage msg)

### cleanUpServiceMessage

    public void cleanUpServiceMessage(JboException ex)

### marshalServiceMessage

    public ServiceMessage marshalServiceMessage(AbstractRemoteApplicationModuleImpl am)

### addDataModelRefreshEntry

    public void addDataModelRefreshEntry(java.io.Serializable ent)

### addEntry

    public void addEntry(java.io.Serializable ent)

### insertEntry

    public void insertEntry(int index,
                            java.io.Serializable ent)

### getPiggyback

    public byte[] getPiggyback(boolean on,
                               AbstractRemoteApplicationModuleImpl am)

  Collects all the changes from the ViewRowSetIteratorImpl and serialize them to the content of the piggyback as a byte stream.
  Parameters:
    `on` - `true` if the piggyback should be filled with the lastest updates
  Returns:
    the byte stream which form the piggyback

### getIteratorInfo

    public RuntimeViewRowSetIteratorInfo getIteratorInfo(RowSetIterator rsi)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.